Bug 245111 - x11-wm/hikari: Update to 1.0.0
Summary: x11-wm/hikari: Update to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-27 19:18 UTC by Alexander Sieg
Modified: 2020-03-30 10:08 UTC (History)
4 users (show)

See Also:


Attachments
patch (1.79 KB, patch)
2020-03-27 19:18 UTC, Alexander Sieg
no flags Details | Diff
x11-wm/hikari: update to 1.0.0 (1.53 KB, patch)
2020-03-28 12:29 UTC, Alexander Sieg
mikael: maintainer-approval+
Details | Diff
Removed the FONTS option (794 bytes, patch)
2020-03-30 08:57 UTC, Alexander Sieg
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Sieg 2020-03-27 19:18:49 UTC
Update to 1.0.0
Comment 1 Alexander Sieg 2020-03-27 19:18:52 UTC
Created attachment 212767 [details]
patch
Comment 2 Alexander Sieg 2020-03-28 12:29:23 UTC
Created attachment 212787 [details]
x11-wm/hikari: update to 1.0.0

patch was base on previous version
Comment 3 Jan Beich freebsd_committer 2020-03-29 13:17:23 UTC
Comment on attachment 212787 [details]
x11-wm/hikari: update to 1.0.0

FONT option doesn't look useful outside of sample config which user have to copy manually. Even then fontconfig will select another font if the specified one couldn't be found e.g.,

  $ pkg install hikari
  $ fc-match 'DejaVu Sans Mono'
  DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
  $ pkg delete -f dejavu
  $ fc-match 'DejaVu Sans Mono'
  luximr.ttf: "Luxi Mono" "Regular"

Note, from fontconfig POV one should configure "monospace" to be an alias for the desired fixed-width font.
Comment 4 Jan Beich freebsd_committer 2020-03-29 13:39:39 UTC
Ironically, removing FONT option won't get rid of "DejaVu Sans Mono" because hikari -> pango -> xorg-fonts-truetype -> dejavu.
Comment 5 Alexander Sieg 2020-03-30 08:57:41 UTC
Created attachment 212857 [details]
Removed the FONTS option
Comment 6 Fernando Apesteguía freebsd_committer 2020-03-30 09:53:12 UTC
Comment on attachment 212857 [details]
Removed the FONTS option

^Triage: Reporter is maintainer, set attachment maintainer-approval flag (to +) to signify maintainer approval. 

Attachment -> Details -> maintainer-approval [+], or set the flag during attach/upload step
Comment 7 commit-hook freebsd_committer 2020-03-30 10:08:24 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar 30 10:07:27 UTC 2020
New revision: 529872
URL: https://svnweb.freebsd.org/changeset/ports/529872

Log:
  x11-wm/hikari: update to 1.0.0

  PR:		245111
  Submitted by:	Alexander Sieg (maintainer)

Changes:
  head/x11-wm/hikari/Makefile
  head/x11-wm/hikari/distinfo